//////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////
 /*
 *  USB-MIDI to Relay code
 *  http://www.rodrigoconstanzo.com // rodrigo.constanzo@gmail.com
 *
 *  EXPLANATION
 *  -----------
 *  The code recieves USB-MIDI data and sets digital pins to HIGH when note ON messages are
 *  received.
 *
 *  MIDI note to digital PIN table:
 *  MIDI ---- PIN
 *  60         1
 *  61         2
 *  62         3
 *  63         4
 *  64         5
 *  65         6
 *  66         7
 *  67         8
 *  68         9
 *  69         10
 *  70         11
 *  71         12
 *  72         13
 *  73         14
 *  74         15
 *  75         16
 */
//////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////
int ledPin = 13;

void OnNoteOn(byte channel, byte note, byte velocity)
{
  if(velocity>0){
   if((note>=60)&&(note<=75)){
   int oPin=note-59;
   digitalWrite(oPin,HIGH);
    }  
  }
}

void OnNoteOff(byte channel, byte note, byte velocity)
{
   switch(note){
      case 60:
        digitalWrite(1,LOW);
        break;
      case 61:
        digitalWrite(2,LOW);
        break;
      case 62:
        digitalWrite(3,LOW);
        break;
      case 63:
        digitalWrite(4,LOW);
        break;
      case 64:
        digitalWrite(5,LOW);
        break;
      case 65:
        digitalWrite(6,LOW);
        break;
      case 66:
        digitalWrite(7,LOW);
        break;
      case 67:
        digitalWrite(8,LOW);
        break;
      case 68:
        digitalWrite(9,LOW);
        break;
      case 69:
        digitalWrite(10,LOW);
        break;
      case 70:
        digitalWrite(11,LOW);
        break;
      case 71:
        digitalWrite(12,LOW);
        break;
      case 72:
        digitalWrite(13,LOW);
        break;
      case 73:
        digitalWrite(14,LOW);
        break;
      case 74:
        digitalWrite(15,LOW);
        break;
      case 75:
        digitalWrite(16,LOW);
        break;
    }
}

void setup()
{
for (int i = 1; i < 17; i++) {
  pinMode(i, OUTPUT);
}
  usbMIDI.setHandleNoteOff(OnNoteOff);
  usbMIDI.setHandleNoteOn(OnNoteOn) ;
  digitalWrite(ledPin, HIGH);
  delay(1000);
  digitalWrite(ledPin, LOW);
  delay(1000);
}

void loop()
{
  usbMIDI.read();
}

